var d = Object.defineProperty;
var u = (o, l) => d(o, "name", { value: l, configurable: !0 });
function n(o, l) {
  var r;
  return (r = l?.concat().reverse().reduce(
    // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
    (v, a) => a(v),
    o
  )) !== null && r !== void 0 ? r : o;
}
u(n, "applyInterceptors");
export {
  n as applyInterceptors
};
